buildscript {
    repositories {
        mavenLocal()
        maven {
            allowInsecureProtocol = true
            url "http://maven.aliyun.com/nexus/content/groups/public" }
        mavenCentral()
    }
    dependencies {
        classpath("$bootGroup:spring-boot-gradle-plugin:$springBootVersion")
    }
}

apply plugin: "$bootGroup"
apply plugin: 'io.spring.dependency-management'

dependencyManagement {
    imports {
        mavenBom "org.springframework.cloud:spring-cloud-dependencies:$springCloudVersion"
        mavenBom "org.springframework.boot:spring-boot-dependencies:$springBootVersion"
        mavenBom "com.alibaba.cloud:spring-cloud-alibaba-dependencies:$springCloudAlibabaVersion"
    }
}

dependencies {
    implementation project(":common:utils")
    implementation project(":common:data")

    implementation("$bootGroup:spring-boot-starter-web")
    implementation("$bootGroup:spring-boot-starter-undertow")
    implementation("$bootGroup:spring-boot-starter-websocket")
    implementation("org.apache.logging.log4j:log4j-core:$log4jVersion")
    implementation("org.apache.logging.log4j:log4j-jul:$log4jVersion")
    implementation("org.apache.logging.log4j:log4j-api:$log4jVersion")
    implementation("org.apache.logging.log4j:log4j-slf4j-impl:$log4jVersion")

    implementation ("org.postgresql:postgresql:$postgresqlDriverVersion")
    implementation "com.baomidou:mybatis-plus-boot-starter:$mybatisPlusVersion"
    implementation "com.baomidou:mybatis-plus-generator:$mybatisPlusVersion"
    implementation ("com.alibaba:druid:$alibabaDruidVersion")
    implementation ("com.alibaba:fastjson:$fastjsonVersion")

    implementation("$bootGroup:spring-boot-starter-test")
    implementation("com.xuxueli:xxl-job-core:$xxlJobVersion")
    implementation("org.springframework.cloud:spring-cloud-starter-bootstrap")
    implementation("com.alibaba.cloud:spring-cloud-starter-alibaba-nacos-discovery")
    implementation("com.alibaba.cloud:spring-cloud-starter-alibaba-nacos-config")

}

